qpid::framing::MessageResumeResult Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::MessageResumeResult Class Reference

`#include <qpid/framing/MessageResumeResult.h>`

List of all members.

## Public Member Functions
| MessageResumeResult (uint64_t _offset)
| MessageResumeResult ()
void | setOffset (uint64_t _offset)
uint64_t | getOffset () const
bool | hasOffset () const
void | clearOffsetFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 1029
## Friends
std::ostream & | operator<< (std::ostream &, const MessageResumeResult &)

## Constructor & Destructor Documentation

qpid::framing::MessageResumeResult::MessageResumeResult | ( | uint64_t | _offset | ) | `[inline]`

Definition at line 43 of file MessageResumeResult.h.

qpid::framing::MessageResumeResult::MessageResumeResult | ( |  | ) | `[inline]`

Definition at line 49 of file MessageResumeResult.h.

## Member Function Documentation

uint32_t qpid::framing::MessageResumeResult::bodySize | ( |  | ) | const

void qpid::framing::MessageResumeResult::clearOffsetFlag | ( |  | ) |

void qpid::framing::MessageResumeResult::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::MessageResumeResult::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::MessageResumeResult::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::MessageResumeResult::encodedSize | ( |  | ) | const

void qpid::framing::MessageResumeResult::encodeStructBody | ( | Buffer & |  | ) | const

uint64_t qpid::framing::MessageResumeResult::getOffset | ( |  | ) | const

bool qpid::framing::MessageResumeResult::hasOffset | ( |  | ) | const

void qpid::framing::MessageResumeResult::print | ( | std::ostream & | out | ) | const

void qpid::framing::MessageResumeResult::setOffset | ( | uint64_t | _offset | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const MessageResumeResult & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::MessageResumeResult::TYPE = 1029`[static]`

Definition at line 42 of file MessageResumeResult.h.

The documentation for this class was generated from the following file:

- qpid/framing/MessageResumeResult.h